@import "../../.././common/css/media";

.cmp-container--category{

    .cmp-container {
        .title {
            display: inline-block;
            padding-top: 80px;
            padding-bottom: 32px;

            .cmp-title {
                .cmp-title__text {
                    color: #000;
                    font-size: 24px;
                    font-style: normal;
                    font-weight: 500;
                    line-height: 32px;
                    letter-spacing: 0.24px;
                }
            }
        }

        .carousel {
            position: relative;

            .cmp-carousel {
                .cmp-carousel__content {
                    .cmp-carousel__item {
                        .category__teaser {
                            .cmp-teaser {
                                display: flex;
                                flex-direction: column-reverse;
                                justify-content: center;
                                align-items: center;

                                .cmp-teaser__content {
                                    .cmp-teaser__title {
                                        color: #000;
                                        font-size: 16px;
                                        font-weight: 500;
                                        line-height: 24px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        .cmp-carousel__actions {
            position: absolute;
            right: 0%;
            bottom: 126%;

            .cmp-carousel__action--previous {
                border: none;

                .cmp-carousel__action-icon {
                    &::before {
                        content: " ";
                        display: inline-block;
                        background-image: url('/content/dam/grasimsbirlaopusconsumerwebsite/e-commerce/ccategory/prev-arrow.png');
                        width: 32px;
                        height: 32px;
                    }
                }

                .cmp-carousel__action-text {
                    display: none;
                }
            }

            .cmp-carousel__action--next {
                border: none;

                .cmp-carousel__action-icon {
                    &::before {
                        content: " ";
                        display: inline-block;
                        background-image: url('/content/dam/grasimsbirlaopusconsumerwebsite/e-commerce/ccategory/next-arrow.png');
                        width: 32px;
                        height: 32px;
                    }
                }

                .cmp-carousel__action-text {
                    display: none;
                }
            }
        }

        .cmp-carousel__indicators {
            display: none;
        }
    }
}